Subject: bug#54436: 28.0.91; Only every second mouse wheel scroll is registered

From: Urban Duh <[email-masked]>
Date: Mon, 21 Mar 2022 10:20:19 +0100

> On the other hand, I don't see why that would happen on Wayland.  Do you
> see a similar problem with a different mouse?  And can you verify that
> your build is actually running in Wayland and not Xwayland?

I have the same issue with two different mouses (Logitech MX Master 3 and
a cheap off-brand mouse). My build is running Wayland (tested with xeyes
and by disabling Xwayland on gnome via gnome-shell --no-x11).

On Mon, 21 Mar 2022 at 03:14, Po Lu <[email-masked]> wrote:

> Urban Duh <[email-masked]> writes:
>
> > Thanks for the insightful answers. The issue was indeed PGTK, the
> > official build of Emacs 28 works fine. I didn't realize that the
> > version I used was not official, sorry.  However, the same issue still
> > exists in Emacs 29 on Wayland and X (tested on GNOME on both X and
> > Wayland, using emacs-git with PGTK from AUR, which compiles from
> > development master branch), where PGTK is officially supported. Based
> > on your responses, it seems that this is a known issue
>
> The PGTK build is not supported on X Windows even in Emacs 29.  It just
> doesn't work well enough.
>
> On the other hand, I don't see why that would happen on Wayland.  Do you
> see a similar problem with a different mouse?  And can you verify that
> your build is actually running in Wayland and not Xwayland?
>
> Thanks.
>
> > but I cannot find any corresponding bug report (I could have missed it
> > though, I'm a bit clumsy with GNU's bug report logs). Should this bug
> > report be moved to Emacs version 29? Or should I report the issue
> > again for Emacs 29?
>
> You should leave it as-is, I think.
>